import {requestInstance} from "@/service";
import {UserInfo} from "@/unit/UserInfo";

export function getInterfaceOrderHomeTableData(params){
 return requestInstance({
  url:'/ptjkInterface/selectInterfaceKoolkitApplyPageList',
  data:{
   ...params
  }
 })
}
export function changeInterfaceOrderState(params){
 return requestInstance({
  url:'/ptjkInterface/editInterfaceKoolkitWarrant',
  data:{
   ...params
  }
 })
}
export function getInterFaceOrderInterfaceDInfo(UUID){
 return requestInstance({
  url:'/ptjkInterface/selectInterfaceKoolkitMain',
  data:{
   UUID,
   appkey:new UserInfo().GetUserKeyCode()
  }
 })
}
export function getInterFaceOrderApplyAndCheckInfo(UUID){
 return requestInstance({
  url:'/ptjkInterface/selectInterfaceKoolkitApplyByUuid',
  data:{
   UUID,
   appkey:new UserInfo().GetUserKeyCode()
  }
 })
}
export function checkInterOrderInfo(params){
 return requestInstance({
  url:'/ptjkInterface/editInterfaceKoolkitApply',
  data:{
   ...params
  }
 })
}
